
QGIS Application - Bug report #208

AC Macro for proj/sqlite gives wrong lib dir on x86_64 for the 0.8 preview

2006-07-26 12:00 PM - judd-marine-usf-edu -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10267

Description

The autoconf macro for checking for the proj and sqlite3 libs in file 'configure.in' only looks for the existance of $with_projdir/lib, and in my

case, that turns out to be /usr/lib, which exists, but contains a 32bit version of proj, not the 64bit version that will work.

If possible, it should check first for lib64, and then lib.

Even better would be the addition of a --with-proj-libs=DIR command to the configure script so I can just override it whenever I want to do

so.

The same thing is there for sqlite3.

-Judd

History

#1 - 2006-08-21 02:22 AM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

configure now accepts an optional --with-projlibdir option to specify the directory where the proj library is.

#2 - 2006-08-21 02:24 AM - Gavin Macaulay -

Done in svn commit:d04ea690 (SVN r5716)

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
